#ifndef FIRE_CONTROL_H
#define FIRE_CONTROL_H
    
#include <stdbool.h>
#include <stdint.h>

extern TaskHandle_t Fire_Control_Task_Handle;
    
void Init_Fire_Control(void);
void Fire_Control_Task(void * pvParameters);
void Fire_Control_Set_Modulation_Frequency(ModulationFrequency_T freq);

#endif // FIRE_CONTROL_H
